#pragma once

#include "GamePlay.h"
#include <string>

using namespace std;

// Shell CLASS - Constructor - initalize class default values

class Disc
{
public:
	float speed;
	float size;
	float angle;
	float maxRange;
	
	int spent;
	float direction[3];
	float totalTraveled;

	float position[3];
	float defaultPosition[3];
	float prevPosition[3];
	
	float color[3];
	
	double elapsedTime;

	Disc( float x, float y, float z, float color0, float color1, float color2 );
	
	// computePosition of shell
	void computePosition( double elapsed_time, int iPos );
	
	// draw - draw the shell
	void drawDisc();
	
	// determine if tank has been hit
	void computeHitCycle( int iPos );
	
};
